Subject: Re: [patch net-next v3 01/11] devlink: remove devlink features

From: Jakub Kicinski <[email-masked]>
Date: Mon, 9 Jan 2023 16:55:00 -0800

On Mon,  9 Jan 2023 19:31:10 +0100 Jiri Pirko wrote:
> Note that mlx5 used this to enable devlink reload conditionally only
> when device didn't act as multi port slave. Move the multi port check
> into mlx5_devlink_reload_down() callback alongside with the other
> checks preventing the device from reload in certain states.

Right, but this is not 100% equivalent because we generate the
notifications _before_ we try to reload_down:

	devlink_ns_change_notify(devlink, dest_net, curr_net, false);
	err = devlink->ops->reload_down(devlink, !!dest_net, action, limit, extack);
	if (err)
		return err;

IDK why, I haven't investigated.